apiVersion: v1
kind: Service
metadata:
  name: {{ include "book-service.fullname" . }}
  labels:
    {{- include "book-service.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    {{- toYaml .Values.service.ports | nindent 4 }}
  selector:
    {{- include "book-service.selectorLabels" . | nindent 4 }}
